Page MenuHomePhabricator

Username links are red, when user pages that exists globally (GlobalUserPage) but not locally are seen in Flow
Closed, ResolvedPublic

Description

Event Timeline

Quiddity created this task.Nov 28 2014, 7:59 AM
Quiddity renamed this task from userpage tab is red, when seen in Flow to username links is red, when seen in Flow.
Quiddity raised the priority of this task from to Medium.
Quiddity updated the task description. (Show Details)
Quiddity added a project: GlobalUserPage.
Quiddity changed Security from none to None.
Quiddity added a subscriber: Quiddity.
Legoktm added a subscriber: Legoktm.Dec 3 2014, 8:14 PM
In T76193#808349, @Mattflaschen wrote:

Is there a timeline for WMF deployment of GlobalUserPage?

Not yet, T76410 is currently blocking deployment.

Mattflaschen-WMF renamed this task from username links is red, when seen in Flow to Username links are red, when a user page that exists globally (GlobalUserPage) but not locally is seen in Flow.Dec 9 2014, 3:22 AM
Mattflaschen-WMF renamed this task from Username links are red, when a user page that exists globally (GlobalUserPage) but not locally is seen in Flow to Username links are red, when user pages that exists globally (GlobalUserPage) but not locally are seen in Flow.

Flow is used in a negligible amount of pages, so this bug is most definitely not blocking deployment of GlobalUserPage. It does look like something Flow devs should fix, though.

gerritbot added a subscriber: gerritbot.

Change 188298 had a related patch set uploaded (by Mattflaschen):
Hook into TitleIsAlwaysKnown instead of LinkBegin

https://gerrit.wikimedia.org/r/188298

Patch-For-Review

Change 188299 had a related patch set uploaded (by Mattflaschen):
Use isKnown instead of exists for user/user talk links in API

https://gerrit.wikimedia.org/r/188299

Patch-For-Review

@tstarling @Legoktm, and I have been discussing alternative ways to implement this, more conducive to batching the ultimate query required. Essentially, this would be a batched version of Title::isKnown().

A couple of specific locations discussed:

  • Subclass of or composition relationship with LinkBatch.
  • Refactored version of replaceInternal at LinkHolderArray. Tim's idea is basically to separate the existence/known logic from the parser-specific stuff (like replacing "<!--LINK $key-->").

@Legoktm said he was going to work on the batching, so assigning to him.

Change 188299 merged by jenkins-bot:
Use isKnown instead of exists for user/user talk links in API

https://gerrit.wikimedia.org/r/188299

Change 188298 merged by jenkins-bot:
Hook into TitleIsAlwaysKnown instead of LinkBegin

https://gerrit.wikimedia.org/r/188298

I filed T88644 for the batching.

Legoktm closed this task as Resolved.Feb 17 2015, 7:54 PM
Legoktm reassigned this task from Legoktm to Mattflaschen-WMF.